Skip to main content
PUT
/
api
/
dapp
/
bridge
/
flows
/
{srcHash}
Update Bridge Flow
curl --request PUT \
  --url https://backend-global.gains.trade/api/dapp/bridge/flows/{srcHash} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "success": true,
  "data": {}
}

Endpoint

PUT /api/dapp/bridge/flows/{srcHash} Updates fields on a bridge flow record.

Parameters

ParameterLocationRequiredTypeDescription
srcHashpathYesstringSource transaction hash.

Request Body

Send JSON matching the schema shown in the generated API panel.

Usage Example

curl -X PUT "https://backend-global.gains.trade/api/dapp/bridge/flows/0xSOURCE_HASH"

Response Structure

The generated API panel lists the response schema for status codes: 200, 400, 404, 500. Error responses generally return an error or message field.

Path Parameters

srcHash
string
required

Source transaction hash.

Body

application/json

The body is of type object.

Response

Successful response

success
boolean
data
object